unit untres;

{$mode fpc}{$H+}

interface

Uses Classes, SysUtils;

Const  LF = LineEnding;

{$IFDEF GUI}
Resourcestring
{$ENDIF}

  {All}
{============= Menu fenêtre principale =================}
  TgFile              = 'File';
  TgNew               = 'New';
  TgOpen              = 'Open';
  TgSave              = 'Save';
  TgSaveAs            = 'Save as';
  TgRecent            = 'Recent';
  TgLoadMac           = 'Load mac file';
  TgLoadMod           = 'Load mod file';
  TgLoadPicture       = 'Load a picture';
  TgDelPicture        = 'Delete picture';
  TgExportToEepic     = 'Export to eepic';
  TgExportToPstricks  = 'Export to pstricks';
  TgExportToPgf       = 'Export to pgf';
  TgExportToTikz      = 'Export to tikz';
  TgExportToEps       = 'Export to eps';
  TgExportToPsf       = 'Export to psf (eps+Psfrag)';
  TgExportToEpsc      = 'Export to compiled eps';
  TgExportToPdf       = 'Export to pdf';
  TgExportToPdfc      = 'Export to compiled pdf';
  TgExportToSvg       = 'Export to svg';
  TgExportSrcToTeX    = 'Export source to tex';
  TgExportToObj       = 'Export 3d scene to obj';
  TgExportToGeom      = 'Export 3d scene to geom';
  TgExportToJvx       = 'Export 3d scene to jvx';
  TgExit              = 'Exit';
  TgEdit              = 'Edit';
  TgUndo              = 'Undo';
  TgRedo              = 'Redo';
  TgEditWindow        = 'Edit window';
  TgParameter         = 'Parameters';
  TgView              = 'View';
  TgMargin            = 'Margin';
  TgBorder            = 'Export border';
  TgColor             = 'Export colors';
  TgComment           = 'Export comments';
  TgChangeUnit        = 'Change unit';
  TgOrthoProj         = '[3D] orthographic projection';
  TgCentralProj       = '[3D] central projection';
  TgCamera            = 'Camera';
  TgShowVarScreen     = 'Show variables on screen';
  TgShowLabelAnchor   = 'Show labels anchor';
  TgShowRightColumn   = 'Show right column';
  TgShowLeftColumn    = 'Show left column';
  TgConfigFile        = 'Open config file';
  TgCreate            = 'Create';
  TgGraphicObjects    = 'Graphic objects';
  TgGrid              = 'Grid';
  TgAxes              = 'Axes';
  TgCurves            = 'Curves';
  TgCartesian         = 'Cartesian';
  TgParametric        = 'Parametric';
  TgPolar             = 'Polar';
  TgOdeSolution       = 'Ode solution';
  TgImplicit          = 'Implicit';
  TgBezier            = 'Bezier';
  TgCubicSpline       = 'Cubic spline';
  TgDroite            = 'Straight line';
  TgPoints            = 'Dots';
  TgPolyLine          = 'Polygonal line';
  TgChemin            = 'Path';
  TgEllipseCercle     = 'Ellipse/Circle';
  TgCircleArc         = 'Circle Arc';
  TgEllipticArc       = 'Elliptic arc';
  TgLabel             = 'Label';
  TgSurface           = 'Surface';
  TgUserObject        = 'User object';
  TgOther2D           = 'Others 2D objects';
  TgOther3D           = 'Others 3D objects';
  TgVarglobs          = 'Define a global variable';
  TgMacros            = 'Define a macro';
  TgAide              = 'Help';
  TgOuvrirlaide       = 'Open html help';
  TgOuvrirForum       = 'Texgraph forum (fr)';
  Tgdocpdf            = 'Open pdf doc';
  TgMisesAjourModelesLogiciel = 'Update';
  TgMisesAJourModeles = 'Update mod files';
  TgMisesAJourLogiciel= 'Update program';
  TgApropos           = 'About';
  TgUser              = 'User';
  TgLicence           = 'This program is free, you may redistribute it under certain conditions (see the help file).'+
                        'This program is distributed WITHOUT ANY WARRANTY.';
{======================= fin menu fenêtre principale ========================================}
{======================= autres labels fenêtre principale ===================================}
  TgCommandLine       = 'Command ='; //ligne de commande
  TgShowResult        = 'Show the command result';
  TgAttributesHint    = 'Modify attributes';
  TgDelete            = 'Del';
  TgDeleteHint        = 'Delete selected objects';
  TgAll               = 'All';
  TgAllHint           = 'Delete all';
  TgVarGLob           = 'Global variables'; //groupbox2
  TgNewGlobVarHint    = 'Create a global variable';

  TgMacrosBox         = 'Macros'; //groupbox3
  TgNewMacroHint      = 'Create a new macro';
  TgOk                = 'OK'; //bouton ok

  TgTabSheet1         = 'Standard';
  TgToolButton36      = 'New graph (Ctrl+N)';
  TgToolButton1       = 'Open a *.teg file (Ctrl+O)';
  TgToolButton39      = 'Save (Ctrl+S)';
  TgToolButton3       = 'Reload file';
  TgToolSnapshot      = 'Snapshot (png or jpg)';
  TgToolButton5       = 'Copy to clipboard';
  TgToolButton6       = 'Overview (Alt+Maj+V)';
  TgToolButton11      = 'Grid (Ctrl+G)';
  TgToolButton12      = 'Axes (Ctrl+G)';
  TgToolButton13      = 'Cartesian curve (Ctrl+R)';
  TgToolButton14      = 'Parametric curve (Ctrl+P)';
  TgToolButton15      = 'Polar curve (Alt+Maj+O)';
  TgToolButton16      = 'Ode solution (Ctrl+E)';
  TgToolButton17      = 'Implicit curve (Ctrl+I)';
  TgToolButton18      = 'Bezier curve (Ctrl+B)';
  TgToolButton19      = 'Cubic spline (Alt+Maj+S)';
  TgToolButton20      = 'Straight line (Ctrl+D)';
  TgToolButton22      = 'Dot(s) (Alt+Maj+P)';
  TgToolButton25      = 'Polygonal line (Ctrl+L)';
  TgToolButton34      = 'Path (Ctrl+H)';
  TgEllipse           = 'Ellipse (Ctrl+C)';
  TgArcButton         = 'Circle arc (Alt+A)';
  TgEllipseArc        = 'Elliptic arc (Alt+Maj+A)';
  TgToolButton76      = 'Label (Alt+Maj+L)';
  TgToolButton27      = 'User defined (Ctrl+U)';
  TgToolZoomOut       = 'Zoom out';
  TgToolReCalc        = 'Recalculate all';
  TgToolLoadMouse     = 'Load Mouse.mod';
  TgToolZoomIn        = 'Zoom in';
  TgToolCursNormal    = 'Normal cursor';
  TgToolCursSelect    = 'Select and zoom';
  TgToolCursDeplace   = 'Move the graph';
  TgToolCursTourne    = 'Turn in space';
  TgComboBox3         = 'Screen resolution';


  TgTabSheet2         = 'Other 2D';
  TgToolButton41      = 'Perpendicular to the line';
  TgToolButton35      = 'Parallel to the line';
  TgToolButton42      = 'Bissector of the angle';
  TgToolButton43      = 'Parallelogram';
  TgToolButton44      = 'Rectangle';
  TgToolButton45      = 'Square';
  TgToolButton46      = 'Regular polygon';
  TgToolButton48      = 'Mediator of the segment';
  TgToolButton50      = 'Draw an angle';
  TgToolButton51      = 'Mark a segment';
  TgToolButton52      = 'Mark a circle arc';
  TgToolButton53      = 'Half-line';
  TgToolButton54      = 'Graduate straight line';
  TgToolButton47      = '2d dot + Global variable';
  TgToolIntersection  = 'Intersection of two objects';
  TgToolCercle        = 'Circle';

  TgTabSheet3         = 'Other 3D';
  TgToolButton28      = 'theta and phi (angles for 3D scene)';
  TgToolButton29      = 'Increase theta';
  TgToolButton32      = 'Decrease theta';
  TgToolButton31      = 'Increase phi';
  TgToolButton30      = 'Decrease phi';
  TgToolButton21      = 'Surface (Crtl+F)';
  TgToolButton55      = '3D axes';
  TgToolButton56      = '3D parametric curve';
  TgToolButton57      = 'Cone';
  TgToolButton58      = 'Cylinder';
  TgToolButton59      = 'Sphere';
  TgToolButton60      = 'Parallelepiped';
  TgToolButton61      = 'Tetrahedron';
  TgToolButton67      = 'Prism';
  TgToolButton68      = 'Pyramid';
  TgToolButton64      = 'Plane in space';
  TgToolButton66      = 'Line in space';
  TgToolButton65      = 'Polyline in space';
  TgToolButton70      = 'Circle in space';
  TgToolButton69      = 'Arc circle in space';
  TgToolButton62      = '3d dot + global variable';
  TgToolPolyedresII   = 'Load PolyedresII.mac';
  TgToolJavaView      = 'Show the scene (Build3D) in javaview';
  TgToolGeomView      = 'Show the scene (Build3D) in geomview';

//unit1
  TgLargeur           = 'Width=';
  TgHauteur           = 'Height=';
  TgModified          = 'Modified';
  TgEditAText         = 'Edit a text';
  TgNewMacro          = 'New macro';
  TgNewUserObject     = 'New user object';
  TgGraphElement      = 'Graph object ';
  TgAttributesWin     = 'Attributes-';
  TgAttributesSelection = 'Attributes-Selection';
  TgSupprimer         = 'Delete the selected objects?';
  TgSupprimerTout     = 'Delete all the objects?';
  TgGiveThetaPhi      = 'Give theta and phi (degrees)';
  TgSourceFile        = 'Source file';
  TgModelFile         = 'Model file';
  TgFileLoaded        = 'file already loaded';
  TgResultOf          = 'Result of';
  TgPdfFile           = 'Pdf file';
  TgAskSaveFile       = 'Do you want to save';
  TgOpenBackground    = 'Open a background picture';
  TgPictureFile       = 'Picture';
  TgExportLatexTitle  = 'Export to LaTeX (epic/eepic)';
  TgExportLatexFilter = 'tex file';
  TgExportPstTitle    = 'Export to pstricks';
  TgExportPstFilter   = 'pst file';
  TgExportEpsTitle    = 'Export to eps';
  TgExportEpsFilter   = 'eps file';
  TgExportEpscTitle   = 'Compile and export to eps';

  TgExportPsfTitle    = 'Export to psf (eps file + psfrag file)';
  TgExportPsfFilter   = 'psf file';
  TgExportPgfTitle    = 'Export to pgf';
  TgExportPgfFilter   = 'pgf file';
  TgExportPdfTitle    = 'Export to pdf (eps->pdf)';
  TgExportPdfFilter   = 'pdf file';
  TgExportPdfcTitle   = 'Compile and export to pdf';

  TgExportTkzTitle    = 'Export to tikz';
  TgExportTkzFilter   = 'tkz file';

  TgExportSvgTitle    = 'Export to svg';
  TgExportSvgFilter   = 'svg file';

  TgExportObjTitle    = 'Export 3d scene (Build3d) to obj';
  TgExportObjFilter   = 'obj file';
  TgExportGeomTitle   = 'Export 3d scene (Build3d) to geomview';
  TgExportGeomFilter  = 'geom file';
  TgExportJvxTitle    = 'Export 3d scene (Build3d) to javaview';
  TgExportJvxFilter   = 'jvx file';
  TgExportSrcTitle    = 'Export colored source for TeX';
  TgExportSrcFilter   = 'src file';

// Editeur
  TgOpenAFile         = 'Open a file';
  TgWantToSave        = 'The text has been modified. Do you want to save it';
  TgName              = 'Name =';
  Tg10CarMax          = '(10 char. max, begins with a letter)';
  TgCommand           = 'Command= (F2 for completion)';
  TgAttributes        = 'Attributes';
  TgColoration        = 'Coloring';
  TgSource            = 'Load source file';
  TgEffacer           = 'Clean all';
  TgSelectAll         = 'Select all';
  TgCouper            = 'Cut';
  TgCopier            = 'Copy';
  TgColler            = 'Paste';
  TgCopier_en_TeX     = 'Copy to TeX';
  TgCopier_en_Html    = 'Copy to html';
  TgChercher          = 'Find';
  TgRemplacer         = 'Replace';
  TgFermer            = 'Close';

//Attributs.pas
  TgParametert        = 'Parameter t';
  TgInterval          = 'Interval';
  TgDotHelp           = '* DotScale := scaleX + i*scaleY'+LF+
                        'Can be used to enlarge or reduce the size of '+
                        'the dot, when the imaginary part is zero, '+
                        'we agree that scaleY=scaleX.'+LF+
                        'DotScale default value is 1.'+LF+
                        '* DotAngle := angle in degrees (default 0).'+LF+
                        '* DotSize := nb1 + i*nb2'+LF+
                        'nb1 and nb2 are two lengths in TeX points (pt), the '+
                        'diameter of the dot is nb1 + nb2 x (line width).'+LF+
                        'DotSize default value is 2+2*i.';
 TgMatrixHelp         = 'Matrix := [u, v, w]'+LF+
                        'If f is a affin transformation of the plane, '+
                        'its matrix is the list [u, v, w] where:'+LF+
                        'u = f(0)  [translation vector]'+LF+
                        'v = f(1) - u [image of the first vector of the base by the linear part]'+LF+
                        'w = f(i) - u [image of the second vector of the base by the linear part]';
//camera.pas
  TgCameraHelp        = 'Camera always looks at the origin, on the axe directed by the vector wich is orthogonal'+
                        ' to the plane projection, the origin is in this plane.';
  TgDefinition        = 'Define';
  TgPosition          = 'Camera position';
  TgDistance          = 'Distance camera - origin';

//command9
  TgObject            = 'object';
//command10
  TgNotInDir          = 'is not in directory ';
  TgDataError         = 'Corrupted data in ';
  TgNotExist          = 'I can''t find ';
  TgIdentifierExpected= 'Identifier expected';
  TgStringExpected   = 'A string is expected';
  TgAnd               = ' and ';
  Tgfound             = ' found';
  TgSymbolequal       = 'symbol = expected';
  TgSymbolPV          = 'symbol ; expected';
  TgExpectedNotFound  = 'symbol ; expected but not found.';
  TgNameError         = 'invalide name [Cancel to stop warning]';
  TgEmptyString       = 'Your command is an empty string!';
  TgNumericError      = 'error in numeric conversion';
  TgLine              = 'line';
  TgReading           = 'Reading';
  TgEndReading        = 'end of reading';
  TgIsNotIn           = 'is not in';
//analyse4
  TgStringError       = 'Error in the string';
  TgValueOutOfLimits  = 'value out of bounds';
  TgAccFMissing       = 'End of comment "}" is missing.';
  TgAccOmissing       = 'Begin of comment "{" is missing.';
  TgEqualMissing      = 'Symbol = is missing after';
  TgCrochetsNonEquilibres = 'Unbalanced brackets';
  TgOdFiSansAndfi     = 'There is an "odfi" but "andif" is missing';
  TgOdfiSansDO        = 'There is an "odfi" but "do" is missing';
  TgFiSansIf          = 'There is a "fi" but "if" is missing';
  TgOdSansDo          = 'There is an "od" but "do" or "repeat" is missing';
  TgParenthesesNonEquilibrees = 'Unbalanced parenthesis';
  TgErrorAfterPourcent= 'Error, an integer is expected after "%"';
  TgInvalidCharAfter = 'Invalid char after';
  TgIdentifierAfter  = 'An identifier is expected after';
  TgUnknownChar      =  'Unknown char';
  TgIsMissing        = 'is missing';
  TgMissingCommaAfter = 'Missing comma after';
  TgEmptyArg          = 'Empty argument';
  TgSyntaxErrorAfter  = 'Syntax error after';
  TgMissingParenthesisAfter = 'Parenthesis or comma is missing after';
// commmand11
  TgMacFilesLoaded     = '*.mac files loaded';
  TgPredefinies       = 'Predefined';
  TgWordsList         = 'List of words';
  TgButtonExists      = 'This button already exists';
  TgFindFile          = 'Needs file';
  TgMacFile           = 'Files of macros (*.mac)';
  TgFileNotFound      = 'file not found';
  TgStopReading       = 'stop reading';
  TgRepositoryNotFound= 'directory not found';
  TgCannotCreateFile  = 'Impossible to create file';
  TgEndStringMissing  = 'End of string is missing';
  TgErrorWhileReading = 'error while reading';
//update13
  TgEnvironmentVariableNotDef ='this environment variable mut be défined';
//simplegraph
  TgText              = 'Text=';
  TgClosed            = 'Closed';
  TgRepresent         = 'Represent';
  TgCat_dotCAption    = 'Dot(...)';
  TgCat_dotHelp       = 'Enter a command like: [A1,...,An].'+LF+
                        'where A1,...,An are the point''s affixes.'+LF+LF+
                        'Example: [-1, 1+2*i, 3*exp(i*pi/4)]';
  TgDroiteCaption     = 'StraightL(...)';
  TgDroiteHelp        = 'Enter a command like:'+LF+
                        '[A,B] for a straight line passing through the points A and B (A and B are complex numbers).'+LF+
                        '[A,A+v] for a line passing through the point A and directed by the vector v, (A and v are complex numbers).'+LF+
                        '[a,b,c] for a line whose cartesian equation is ax+by=c.'+LF+LF+
                        'Example: [0, 1+i]';
  TgEllipseCaption    = 'Ellipse(...)';
  TgEllipseHelp       = 'Enter a command like:'+LF+
                         '[A, rx, ry] or [A, rx, ry, direction in degrees]'+LF+
                         'where A is the center''s affix, rx and ry the radius. The direction with the horizontal axis is by default set to zero.'+LF+LF+
                         'Example: [0, 2, 3, 45]';
  TgSplineCaption     = 'Spline(...)';
  TgSplineHelp        = 'Enter a command like:'+LF+
                         '[v0, A1, A2,..., An, v1]'+LF+
                         'where the complex numbers v0 and v1 are the affixes of the tangent vectors at the ends'+
                         ' (if zero : there is no restraint), and the A1,...,An complex numbers are affix''s points interpolated by the curve.'+LF+
                         ' The total number of the calculated points can be modified in the Attributes with the variable NbPoints.'+LF+LF+
                         'Example: [0, -1, i, 1, 2-i, 0]';
  TgBezierCaption     = 'Bezier(...)';
  TgBezierHelp        = 'Enter a command like: '+LF+
                        '[A,C,B] : the Bezier curve''s origin is A and the other extremity is B with a control point C (complex numbers).'+LF+
                        '[A1,C1,C2,A2,C3,C4,A3...] : it''s successive Bezier curves with 2 control points, the first one goes from A1 to A2, '+
                        'is controled by C1, C2, the second one goes from A2 to A3 and the control points are C3,C4 ...etc. '+
                        'One exception though, the control points can be replaced with the jump constant. In that case, we jump directly from A1 to A2 '+
                        'with a line segment.'+LF+LF+
                        'Example: [-2, -1+i, i, 1, jump, 1-i, jump, -2-i, jump, -2]';
  TgImplicitCaption   = 'Implicit(...)';
  TgImplicitHelp      = 'Enter a command like: '+LF+
                        'f(x,y)  or [f(x,y),n,m]'+LF+
                        'where n stands for the subdivisions number of the Ox axe and m the subdivisions number of the Oy axe (50 by default). '+LF+LF+
                        'Example: sin(x*y)';
  TgLabelCaption      = 'Label(...)';
  TgLabelCaption3     = 'Affix=';
  TgLabelCaption7     = 'Text=';
  TgLabelHelp         = 'The affix is a complex number.'+LF+
                        'The text is a string.'+LF+LF+
                        'Example: this is a label';
  TgPolyLineCaption   = 'Line(...)';
  TgPolylineCaption1 = 'Closed';
  TgPolylineCaption7 = 'Radius=';
  TgPolylineHelp      = 'Enter a command like: '+LF+
                        '[A1,...,An] where A1,...,An are the point''s affixes that build the line. In case of several connex components, we separate them with the jump constant, for example: [A1,A2,A3,jump,A4,A5,A6].'+LF+
                        'We can set two line parameters: a radius (>0) for rounded angles (arcs of the desired radius), and a boolean to set the line open or closed.'+LF+
                        'Example: [1, 1+i, 2-3*i]';
  TgPathCaption      = 'Path(...)';
  TgPathCaption1     = 'Close the last component';
  TgPathHelp         =  'Enter a command as a list of points (complex numbers) and instructions that indicate what the '+
                        'points correspond to. These instructions are:'+LF+
                        '- line: link the points with a polyline,'+LF+
                        '- linearc: link the points with a polyline but the angles are rounded with an arc. The value preceeding the linearc '+
                        'command is interpreted as the arc''s radius.'+LF+
                        '- arc: draw an arc of circle. It needs four arguments: 3 points and the radius, plus eventually a fifth argument: '+
                        '(+/-1). 1 (default) for counterclockwise.'+LF+
                        '- ellipticArc: draw an arc of ellipse. That needs five arguments: 3 points, the Xradius, the Yradius, and eventually'+
                        ' a sixth argument: the direction angle (degrees) of the great axis with the horizontal axis.'+LF+
                        '- curve: link the points with a natural cubic spline.'+LF+
                        '- bezier: link the first and the fourth point with a Bézier curve (the second and third points are the control points).'+LF+
                        '- circle: draw a circle. Needs two arguments: one point and the center, or three arguments that are three points of the circle.'+LF+
                        '- ellipse: draw an ellipse, the arguments are: one point, the center, rX radius, ry radius, great axis direction in degrees (optional).'+LF+
                        '- move: a move without drawind anything.'+LF+
                        '- closepath: close the current component.'+LF+LF+
                        'Example: [-3+2*i,-3,-2,line,0,2,2,-1,arc,3,3+3*i,0.5,linearc,1,-1+5*i,-3+2*i,bezier]';
  TgEllipticArcCaption= 'EllipticArc(...)';
  TgEllipticArcCaption1= 'Counterclockwise';
  TgEllipticArcHelp   = 'Enter a commad like: '+LF+
                        '[B, A, C, rx, ry] where A is the center''s affix, the starting point of the arc is on '+LF+
                        'the half-line [AB), the last point on the half-line [A, C). '+LF+LF+
                        'Example: [1, 0, -3+i, 2, 3]';
  TgEquaDiffCaption   = 'Odeint(...)';
  TgEquaDiffHelp      = 'Ordinary differential equation: x''(t)+iy''(t)= f(t,x,y)'+LF+LF+
                        'Enter a command like: '+LF+
                        '[ f(t,x,y), t0, x0+i*y0] where x0+i*y0 is the initial condition at t=t0, and '+LF+
                        'choose the representation mode: coordinates (x,y) or (t,x) or (t,y).'+LF+LF+
                        'Example: [1+i*y, 0, i]';
//AxesGrille
  TgGrilleCaption     = 'Grid';
  TgOrigin            = 'Origin';
  TgGraduations       = 'Graduations (0=no grad.)';
  TgOnOxAxe           = 'On Ox axe';
  TgOnOyAxe           = 'On Oy axe';
  TgAxesParameters    = 'Parameters (length in cm)';
  TgLabelsOrigin      = 'Labels of origin';
//config.pas
  TgConfigFileForm    = 'Config file';
  TgWorkDir           = 'Work directory';
  TgInterfaceFont     = 'Font for interface';
  TgEditionFont       = 'Font for edition';
  TgJavaviewDir       = 'javaview.jar directory';
  TgUrlBase           = 'Html help : URL base';
  TgDownLoads         = 'Download with';
  TgProgrammes        = 'Programs';
  TgWorkDirNotValid   = 'The work directory is not valid';
  TgJavaViewDirNotValid= 'The javaview directory is not valid';
//fenetre.pas
  TgViewHelp          = 'Define a window for the graph';
  TgHeightAndWidth    = 'Height and width (without margins)';
  TgWidth             = 'Width=Xscale*(Xmax-Xmin)';
  TgHeight            = 'Height=Yscale*(Ymax-Ymin)';
//marges.pas
  TgMarginTitle       = 'Margins [in cm] around the graph';
  TgLeft              = 'Left';
  TgRight             = 'Right';
  TgTop               = 'Top';
  TgBottom            = 'Bottom';
//Message.pas
  TgSaveAFile         = 'Save file';
  TgClose             = 'Close';
  TgCopyClose         = 'Copy and close';
  TgSaveClose         = 'Save and close';
//Parametrees.pas
  TgParametricCaption = 'Parametric curve';
  TgFunction          = 'Function f(t)';
  TgParametricHelp    = 'f is a complex function of the real variable t in the interval [tMin,tMax] '+
                        '(tMin and tMax are defined in Attributes). (ex: t+i*sin(t), or 2*cos(t)+i*sin(t), '+
                        'or 3*exp(i*t)...).';
  TgBreakStep         = 'Break step';
  TgBreakHelp         = 'Break step = n (integer>0); the step will be divide by 2, 4, ..., 2^n '+
                        'when the distance between two consecutive points is above a limit.';
  TgDiscontinuity     = 'Discontinuity';
  TgDiscontinuityHelp = 'After n divisions, if the distance is still above the limit and the discontinuity '+
                        'option is checked, then a discontinuity (jump) is inserted in the point list.';
  TgCartesianCaption  = 'Cartesian curve';
  TgCartesianCaption3 = 'y=f(x) with f(x)=';
  TgCartesianHelp     = 'f is a real function of the real variable x in the interval [tMin,tMax] (tMin and tMax are defined in Attributes).';
  TgPolarCaption      = 'Polar curve';
  TgPolarCaption3     = 'r=f(t) with f(t)=';
  TgPolarHelp         = 'f is a real function of the real variable t in the interval [tMin,tMax] (tMin and tMax are defined in Attributes).';
//pressepap.pas
  TgClipBoardCaption  = 'Clipboard';
  TgFormatCopy        = 'Format of copy';
  TgExportTeg         = 'teg (source file for TeXgraph)  ';
  TgExportSrc4LaTeX   = 'src4LaTeX (source file for LaTeX)  ';
  TgExportSrc         = 'texsrc (colored source for TeX)  ';

  //snapshot.pas
  TgSnapshotWait      = 'Please wait ...';
  TgInvalidName       = 'Invalid name';
  TgSnapshotTitle     = 'Snapshot (export + conversion png/jpg)';
  TgChoixExport       = 'Export';
  TgConversion        = 'Conversion (be patient)';
  TgExport1           = 'eps (Gouraud possible, no transparency, no TeX labels)  ';
  TgExport2           = 'epsc (Gouraud possible, transparency, TeX labels)  ';
  TgExport3           = 'pdf (Gouraud possible, transparency but no TeX label)  ';
  TgExport4           = 'pdfc (transparency, TeX labels, but no Gouraud shading)  ';
  TgExport5           = 'bmp (screenshot of the graph)  ';

  TgChoixDensite      = 'Create a picture for';
  TgDensite1          = 'screen (96 dpi)  ';
  TgDensite2          = 'printer (300 dpi)  ';
  TgMontrer           = 'Show';
//varglobs.pas
  TgGlobalVar         = 'Global variable';
  TgValue             = 'Value';
  TgVarGlobHelp       = 'Value is an expression, the result must be a complex number or a list of complex numbers.';
//main
  TgRemove            = 'Remove';
  TgExportTo          = 'Export to';
  TgNoGraphElement    = 'WARNING: no graphic objects in this file';
  TgExportFinished    = 'End of export';
  TgNoExport          = 'No export';
  TgEmptyFile         = 'Empty file';
  TgServerMode        = 'Ouverture du programme TeXgraphCmd en mode serveur';
implementation

end.

